import 'package:flutter/cupertino.dart';
import 'package:zhiying_base_widget/widgets/home/home_banner/model/HomeBannerModel.dart';
import 'package:zhiying_comm/zhiying_comm.dart';
import 'package:zhiying_comm/util/net_util.dart';

class HomeBannerRepository {
  /// 读取缓存数据
  Future<HomeBannerModel> fetchCacheData({@required int modId}) async {
    var result = await NetUtil.getRequestCachedData('/api/v1/mod', params: {
      'ids': [modId]
    });
    if(NetUtil.isSuccess(result) && !EmptyUtil.isEmpty(result[GlobalConfig.HTTP_RESPONSE_KEY_DATA])){
      return HomeBannerModel();
    }
    return null;
  }

  /// 获取网路数据
  Future<HomeBannerModel> fetchNetData({@required int modId}) async {
    var result = await NetUtil.post('/api/v1/mod', params: {'ids': [modId]}, cache: true);
    if (NetUtil.isSuccess(result)) {
      return HomeBannerModel();
    }
    return null;
  }
}
